This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 557108 - [kn_IN] ra+ ZWJ+ halanth + consonant is wrongly rendering
[kn_IN] ra+ ZWJ+ halanth + consonant is wrongly rendering
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 562060
  Show dependency treegraph
 
Reported: 2010-01-20 08:00 EST by Shankar Prasad
Modified: 2015-04-21 00:34 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 562060 (view as bug list)
Environment:
Last Closed: 2010-10-14 01:28:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Correct and wrong rendering (157.14 KB, image/png)
2010-01-20 08:00 EST, Shankar Prasad
no flags Details
patch fixing mentioned issue (1.08 KB, patch)
2010-09-22 05:55 EDT, Pravin Satpute
no flags Details | Diff

  None (edit)
Description Shankar Prasad 2010-01-20 08:00:38 EST
Created attachment 385669 [details]
Correct and wrong rendering

Description of problem:
ra+ ZWJ+ halanth + consonant is wrongly rendering

Version-Release number of selected component (if applicable):
pango-1.26.0-1.fc12

How reproducible:
Every time

Steps to Reproduce:
1.Open any text editor (say gedit)
2.Input following raw code key sequence:
0CB0 + 200D + 0CCD + 0C95
3.Look at the resulting glyph
  
Actual results:
Shown in the attachment

Expected results:
Shown in the attachment

Additional info:
Comment 1 Arjuna Rao Chavala 2010-09-07 04:26:23 EDT
Works fine on gedit. 2.30 (ubuntu 10.04)
Comment 2 Pravin Satpute 2010-09-22 01:35:32 EDT
yeah, this is problem with qt
Comment 3 Pravin Satpute 2010-09-22 05:55:54 EDT
Created attachment 448893 [details]
patch fixing mentioned issue

this patch also include patch for so applying this will fix https://bugzilla.redhat.com/show_bug.cgi?id=497095 as well
Comment 4 Ngo Than 2010-09-27 07:50:57 EDT
it's fixed in qt-4.7.0-3.fc13, http://koji.fedoraproject.org/koji/buildinfo?buildID=196716.
could someone please test it? Thanks
Comment 5 Shankar Prasad 2010-10-04 03:50:13 EDT
Couldn't install qt-4.7.0-3.fc13 in f13 as it is showing dependency errors. Instead, with the help of aalam, I tested with qt-4.7.0-0.31.rc1.fc14.i686 and qt-4.7.0-0.31.rc1.fc14.x86_64 on f14, but it doesn't render as expected.

Shanky
Comment 6 Pravin Satpute 2010-10-06 02:25:05 EDT
looks everything proper, can you test once again?
Comment 7 Shankar Prasad 2010-10-06 02:26:36 EDT
Yeah, it works perfect. We might have forgot reboot the machine or something.

Shanky
Comment 8 Pravin Satpute 2010-10-14 01:28:56 EDT
working fine now on f14

Note You need to log in before you can comment on or make changes to this bug.